<template>
  <div class="notify" ref="notify">
    <span class="" ref="notifyType">{{ text }}</span>
  </div>
</template>

<script>
import { ModalBus } from "../eventBus";

export default {
  data() {
    return {
      type: {
        type: String,
        value: "error" | "info" | "success" | "warning"
      },
      text: String
    };
  },
  created() {
    ModalBus.$on("showNotify", ({ type = "info", text = "" }) => {
      this.type = type;
      this.text = text;
      this.showNotify();
    });
  },
  methods: {
    showNotify() {
      let self = this;

      this.$refs.notify.classList.toggle("active");
      this.$refs.notifyType.classList.toggle("success");

      setTimeout(function() {
        self.$refs.notify.classList.remove("active");
        self.$refs.notifyType.classList.remove("success");
      }, 2500);
    }
  }
};
</script>

<style scoped>
* {
  font-family: Helvetica;
  margin: 0;
  padding: 0;
}

body {
  background: #f0f0f0;
}

.button {
  float: left;
  width: 200px;
  padding: 20px 30px;
  margin: 30px;
  text-align: center;
  font-weight: bold;
  cursor: pointer;
  transition: background 0.5s;
}

#success {
  background: #03a679;
  color: #f0f0f0;
}

#failure {
  background: #ff3939;
  color: #f0f0f0;
}

.notify {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 0;
  box-sizing: border-box;
  color: white;
  text-align: center;
  background: rgba(0, 0, 0, 0.6);
  overflow: hidden;
  box-sizing: border-box;
  transition: height 0.2s;
  z-index: 1041;
}

.notify span {
  display: block;
  margin-top: 15px;
}

.active {
  height: 50px;
}
</style>
